##### 7.7.8.0. isVar

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  isVar(p); poly p

Return:
  int

Purpose:
  check, whether leading monomial of p is a power of a single variable
  from the basering. Returns the exponent or 0 if p is multivariate.

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y),dp;
    poly f = xy+1;
    isVar(f);
    ==> 0
    poly g = y^3;
    isVar(g);
    ==> 3
    poly h = 7*x^3;
    isVar(h);
    ==> 3
    poly i = 1;
    isVar(i);
    ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.